<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="form-box">
                        <div class="switch-top"><span>Multiple Days</span>
                            <mat-slide-toggle (change)="sliderOption($event)" [checked]="checked">
                            </mat-slide-toggle>
                            <span>Date Range</span>
                        </div>

                        <form [formGroup]="addDateTimeForm">
                            <div class="calndr-cont">
                                <div class="form-group" *ngIf="!checked">
                                    <div class="row">
                                        <div class="col-4"><label>Start Date</label></div>
                                        <div class="col-8">
                                            <input type="text" class="form-control date-select" placeholder="Start Date"
                                                formControlName="startDate" bsDatepicker readonly
                                                [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD'}" [minDate]="startMinDate">
                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.startDate">
                                                <span
                                                    *ngIf="addDateTimeForm.get('startDate').hasError(validation.type) && (addDateTimeForm.get('startDate').dirty || addDateTimeForm.get('startDate').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group" *ngIf="!checked">
                                    <div class="row">
                                        <div class="col-4"><label>End Date</label></div>
                                        <div class="col-8">
                                            <input type="text" class="form-control date-select" placeholder="End Date"
                                                formControlName="endDate" bsDatepicker (click)="selectEndDate()"
                                                [isDisabled]="!isStartDateSelected" readonly
                                                [bsConfig]="{ dateInputFormat: 'YYYY-MM-DD'}" [minDate]="endMinDate">
                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.endDate">
                                                <span
                                                    *ngIf="addDateTimeForm.get('endDate').hasError(validation.type) && (addDateTimeForm.get('endDate').dirty || addDateTimeForm.get('endDate').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group" *ngIf="checked">
                                    <div class="row">
                                        <div class="col-4"><label> Start Date - End Date</label></div>
                                        <div class="col-8">
                                            <input type="text" placeholder="Select Start Date and End Date"
                                                class="form-control" [formControl]="dateRangeControl" bsDaterangepicker>
                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.dateRangeControl">
                                                <span
                                                    *ngIf="dateRangeControl.hasError(validation.type) && (dateRangeControl.dirty || dateRangeControl.touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>Start Time</label></div>
                                        <div class="col-4">
                                            <select class="form-control select-box" formControlName="startHour" (change)="getShiftName()">
                                                <option value="" selected disabled>Select Hour</option>
                                                <option
                                                    *ngFor="let hour of hours;let i = index" [value]="i < 10 ? '0'+i :i">
                                                    {{i < 10 ? '0'+i :i}}</option>
                                            </select>
                                           
                                            <span class="t-red" *ngFor="let validation of errors.startHour">
                                                <span
                                                    *ngIf="isValidTime && addDateTimeForm.get('startHour').hasError(validation.type) && (addDateTimeForm.get('startHour').dirty || addDateTimeForm.get('startHour').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                        <div class="col-4">
                                        <select class="form-control select-box" formControlName="startMinute" (change)="getShiftName()">
                                                <option value="" selected disabled>Select Minute</option>
                                                <option
                                                    *ngFor="let minute of minutes;let i = index" [value]="i < 10 ? '0'+i :i">
                                                    {{i < 10 ? '0'+i :i}}</option>
                                            </select>
                                           
                                            <span class="t-red" *ngFor="let validation of errors.startMinute">
                                                <span
                                                    *ngIf="isValidTime && addDateTimeForm.get('startMinute').hasError(validation.type) && (addDateTimeForm.get('startMinute').dirty || addDateTimeForm.get('startMinute').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-4"><label>End Time</label></div>
                                        <div class="col-4">
                                            <select class="form-control select-box" formControlName="endHour" (change)="getShiftName()">
                                                    <option value="" selected disabled>Select Hour</option>
                                                    <option
                                                        *ngFor="let hour of hours;let i = index" [value]="i < 10 ? '0'+i :i">
                                                        {{i < 10 ? '0'+i :i}}</option>
                                                </select>
                                    
                                            <span class="t-red" *ngFor="let validation of errors.endHour">
                                                <span
                                                    *ngIf="isValidTime && addDateTimeForm.get('endHour').hasError(validation.type) && (addDateTimeForm.get('endHour').dirty || addDateTimeForm.get('endHour').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                        <div class="col-4">
                                            <select class="form-control select-box" formControlName="endMinute" (change)="getShiftName()">
                                                    <option value="" selected disabled>Select Minute</option>
                                                    <option
                                                        *ngFor="let minute of minutes;let i = index" [value]="i < 10 ? '0'+i :i">
                                                        {{i < 10 ? '0'+i :i}}</option>
                                                </select>
                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.endMinute">
                                                <span
                                                    *ngIf="isValidTime && addDateTimeForm.get('endMinute').hasError(validation.type) && (addDateTimeForm.get('endMinute').dirty || addDateTimeForm.get('endMinute').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group " *ngIf="shiftName">
                                    <div class="row">
                                        <div class="col-4"><label>Shift</label></div>

                                            <!-- <select class="form-control select-box" formControlName="shift"
                                                (change)="selectJobShift($event)">
                                                <option value=""> Select Shift</option>
                                                <option value="{{skill.slotName}}"
                                                    *ngFor="let skill of shiftList;let i = index">
                                                    {{skill.slotName}}</option>
                                            </select> -->
                                            <div class="col-4">
                                            <input type="text" [(ngModel)]="shiftName"
                                                placeholder="" class="form-control shift"
                                                formControlName="shift" disabled>

                                            <!-- Error Messages -->
                                            <span class="t-red" *ngFor="let validation of errors.shift">
                                                <span
                                                    *ngIf="addDat-eTimeForm.get('shift').hasError(validation.type) && (addDateTimeForm.get('shift').dirty || addDateTimeForm.get('shift').touched)">
                                                    {{validation.message}}
                                                </span>
                                            </span>
                                            </div>
                                        </div>
                                    </div>
                               
                            </div>
                        </form>

                        <div class="avl-result time">
                            <ul *ngFor="let list of savedDateList;let i = index;">
                                <li>
                                    {{list.startDate |date }} - {{list.endDate |date }}
                                    ( {{list.startTime }} - {{list.endTime }} )
                                    <span>
                                        <a href="javascript:void(0)" (click)="editDays(i)"> <i> <img
                                                    src="assets/images/ic-edit-action.png" alt=""></i></a>
                                        <a href="javascript:void(0)" (click)="deleteDays(i)"> <i
                                                class="far fa-times-circle"></i> </a>
                                    </span>
                                </li>
                                <!-- <li>Monday: Afternoon(12:00-17:00)<span>
                                        <a href="#">
                                            <i> <img src="assets/images/ic-edit-action.png" alt=""></i></a>
                                        <a href="#"><i class="far fa-times-circle"></i></a>
                                    </span>
                                </li> -->
                            </ul>
                        </div>
                        <div class="form-group text-center">
                            <!-- [disabled]="!addDateTimeForm.valid" -->
                            <input type="submit" (click)="saveDateTimeDetails()" value="Save" class="btn">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>